## DROP SEQUENCE statement)

A DROP SEQUENCE statement drops a number generator (sequence).

### Syntax

<drop_sequence_statement> ::= DROP SEQUENCE [<schema_name>.]<sequence_name>

### Examples

SQL Tutorial, Number Generators for Tables

### Explanation

The current user must be the owner of the sequence or have the DROPIN privilege for the schema to which the sequence to be dropped is assigned.

The metadata of the sequence is removed from the database catalog.